Bug 170529 - Clean up MIMETypeRegistry::mimeTypeAssociationMap for Curl
Summary: Clean up MIMETypeRegistry::mimeTypeAssociationMap for Curl
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ross Kirsling
URL:
Keywords: InRadar
Depends on:
Blocks: 117300
  Show dependency treegraph
 
Reported: 2017-04-05 17:14 PDT by Basuke Suzuki
Modified: 2018-03-12 17:23 PDT (History)
10 users (show)

See Also:


Attachments
Patch (8.45 KB, patch)
2018-03-09 15:37 PST, Ross Kirsling
no flags Details | Formatted Diff | Diff
Patch (8.46 KB, patch)
2018-03-09 17:12 PST, Ross Kirsling
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Basuke Suzuki 2017-04-05 17:14:26 PDT
The implementation of mimeTypeAssociationMap() has problem on both code cleanness and memory issue. Found two FIXME: in the code.

    // FIXME: Should not allocate this on the heap; use NeverDestroyed instead.

    // FIXME: Writing the function out like this will create a giant function.
    // Should use a loop instead.
Comment 1 Basuke Suzuki 2018-02-28 12:26:04 PST
https://github.com/webkit/webkit/commit/2d6e423b34999d6934554649c5b9b154e16fe5e8

This is the beginning of the history CURL port start using this method.
Comment 2 Ross Kirsling 2018-03-09 15:37:14 PST
Created attachment 335480 [details]
Patch
Comment 3 Ross Kirsling 2018-03-09 17:12:55 PST
Created attachment 335490 [details]
Patch
Comment 4 WebKit Commit Bot 2018-03-09 17:47:33 PST
Comment on attachment 335490 [details]
Patch

Clearing flags on attachment: 335490

Committed r229497: <https://trac.webkit.org/changeset/229497>
Comment 5 WebKit Commit Bot 2018-03-09 17:47:35 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2018-03-12 17:23:42 PDT
<rdar://problem/38397838>